Subject: bug#37055: 26.2; csv-mode-line-format malformed call to last

From: Dan Harms <[email-masked]>
Date: Mon, 26 Aug 2019 17:38:47 +0000

You are correct, I was using an outdated csv-mode.el (1.2 ).  My apologies.  This report can be closed.

-----Original Message-----
From: Lars Ingebrigtsen [mailto:[email-masked]] 
Sent: Thursday, August 22, 2019 11:06 PM
To: Dan Harms
Cc: [email-masked]
Subject: Re: bug#37055: 26.2; csv-mode-line-format malformed call to last

Dan Harms <[email-masked]> writes:

> I noticed this while using doom-modeline, I believe because
>
> (default-value 'mode-line-format) does not contain 'mode-line-position.
>
> Basically the csv-mode-line-format in csv-mode.el line 258 is using
>
> (last 3 ml) where ml is the mode line format.  But this should be (last
>
> ml 3).  I therefore get the following error:

What version of csv-mode is this?  The version in ELPA does not have
anything on line 258 talking about mode lines, and the string "ml" isn't
present in the file.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no